/***************************************************************************
                           clogfile.h  -  description
                             -------------------
    begin                : Sat Dec 14 2002
    copyright            : (C) 2002-2003 by Mathias Kster
    email                : mathen@ketelhot.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CLOGFILE_H
#define CLOGFILE_H

/**
  *@author Mathias Kster
  */

#include <dclib/dcos.h>
#include <dclib/core/cobject.h>
#include <dclib/core/cthread.h>
#include <dclib/core/cstring.h>

typedef enum eLogType {
	eltINFO,
	eltWARNING,
	eltERROR
}eLogType;

class DLL_EXPORT CLogFile : public CObject {

public:
	/** */
	CLogFile();
	/** */
	virtual ~CLogFile();

	/** */
	static bool Write( CString file, eLogType type, char * message, ... );
	/** */
	static bool Write( CString file, eLogType type, CString message );
};

#endif
