/***************************************************************************
                          types.h  -  description
                             -------------------
    begin                : Thu May 08 2003
    copyright            : (C) 2003 by Mathias Kster
    email                : mathen@ketelhot.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _TYPES_H
#define _TYPES_H

/** */
typedef enum eUnit {
	euAUTO=0,
	euBYTE,
	euKBYTE,
	euMBYTE,
	euGBYTE
} eUnit;

/** transfer medium */
typedef enum eltMedium {
	eltNONE=0,
	eltBUFFER,
	eltFILE
};

/** direction */
typedef enum eDirection {
	edNONE=0,
	edUPLOAD,
	edDOWNLOAD
};

/** chunk state */
typedef enum eChunkState {
	ecsFREE=0,
	ecsFINISHED,
	ecsLOCKED
};

/** crypt state */
typedef enum eSecureState {
	esecsNONE=0,
	esecsHANDSHAKE,
	esecsENCRYPTED
};

/** socket state */
typedef enum eConnectionState {
	estNONE=0,
	estCONNECT,
	estCONNECTING,
	estCONNECTED,
	estDISCONNECTING,
	estDISCONNECTED,
	estSOCKETERROR,
	estCONNECTIONTIMEOUT,
	estTRANSFERHANDSHAKE,
	estTRANSFERDOWNLOAD,
	estTRANSFERUPLOAD
};

typedef enum eTransferFileState {
	etfsNONE=0,
	etfsTRANSFER,
	etfsERROR,
	etfsPAUSE
};

typedef enum eTransferWaitState {
	etwsWAIT=0,
	etwsIDLE,
	etwsRUN,
	etwsHUBOFFLINE,
	etwsUSEROFFLINE,
	etwsUSERBUSY,
	etwsSENDERROR
};

typedef enum eClientMode {
	ecmNONE=0,
	ecmACTIVE,
	ecmPASSIVE
};

typedef enum eUserAwayMode {
	euamNONE=0,
	euamNORMAL,
	euamAWAY,
	euamONLINE,
	euamOFFLINE
};

typedef enum eFileTypes {
	eftUNKNOWN=0,
	eftALL,
	eftMP3,
	eftARCHIVE,
	eftDOCUMENT,
	eftAPPLICATION,
	eftPICTURE,
	eftVIDEO,
	eftFOLDER
};

typedef enum eUserSpeed {
	eusUNKNOWN=0,
	eus288KBPS,
	eus336KBPS,
	eus56KBPS,
	eusISDN,
	eusDSL,
	eusSATELLITE,
	eusCABLE,
	eusLANT1,
	eusLANT3,
	eusWIRELESS,
	eusMICROWAVE
};

typedef enum eUserClientVersion {
	eucvNONE=0,
	eucvDCPP,
	eucvDCHPP,
	eucvPTOKAX,
	eucvDCGUI,
	eucvZPOC,
	eucvOPENDCD
};

#endif
